#Generate and error file, the wait for the creation of a 
#file from the client.
proc waitForFixError {txt} {
    global gvar

    Log "$txt"
    Log "Create a file called error-$gvar(id).romanic when ready"
    Log "Wait for a file called fixed-$gvar(id).romanic"
    write_file $gvar(reqDir)/error-$gvar(id).romanic $txt
    
    while {![file exists $gvar(reqDir)/fixed-$gvar(id).romanic]} {
	if {![file exists $gvar(reqDir)/request-$gvar(id).romanic]} {
	    cleanUpQueue $gvar(id)
	    Log "Request cancelled"
	    exit 1
	}
	after 3000
    }
    
    file delete $gvar(reqDir)/fixed-$gvar(id).romanic
    file delete $gvar(reqDir)/error-$gvar(id).romanic
    if {[waitForOk]} {
	Log "There are still problems."
	waitForFixError "The Robot is not in the propes status. Please Check"
    }
}

#Just write an error file.
proc writeError {txt} {
    global gvar

    Log $txt
    write_file $gvar(reqDir)/fatalError-$gvar(id).romanic $txt
    file delete $gvar(reqDir)/request-$gvar(id).romanic
}

##########################################
