package org.eso.ohs.core.dbb.sql;

// $Id: DbbQueryTerminatedListener.java,v 1.1 2004/02/17 11:16:24 tcanavan Exp $

import java.util.EventListener;

/**
 * DbbQueryTerminatedListener is the interface defining the generic behavior of
 * all the objects registered for receiving DbbQueryTerminated events.
 *
 * @author Carlo Boarotto, ESO 19-Jul-1999
 */
public interface DbbQueryTerminatedListener extends EventListener {

  /** 
   * SQL start event handler.
   * @param ev	DbbQueryStarted event.
   */
  public void queryTerminatedAction(DbbQueryTerminated ev);
}

