package org.eso.ohs.core.gui.widgets;

import java.awt.Rectangle;

/**
 * If one is not using the default cell renderer 
 * one should implement this interface and leave the
 * methods empty. Otherwise excessive repainting will
 * be caused on the JTable. 
 * @author tcanavan
 *
 */

public interface TableRendererPerformance {
   public void validate();
   public void revalidate();
   public void repaint(long arg,int arg1,int arg2,int arg3);
   public void repaint(Rectangle rectangle);
}
