package org.eso.ohs.phase2.apps.masktracker.icdVcs;

import org.eso.ohs.persistence.AppConfig;
import org.eso.ohs.phase2.apps.masktracker.MaskListener;
import org.eso.ohs.phase2.icdVcs.CCSConnect;

public class MTCCSConnect extends CCSConnect {

    /**
     * Load the interface to BOB.
     * 
     * @param className
     *            Name of a class to instanciate, e.g. "org.eso.ohs.icdVcs.BOB"
     *            .Instantiating the class will initialise the interface as a
     *            side effect.
     * 
     * @param masktracker
     *            Flag: initialize MaskListener yes/no.
     *  
     */

    public boolean startCcs(String className) {
        boolean started = super.startCcs(className);
        AppConfig appcfg = AppConfig.getAppConfig();
        if (started) {
            MaskListener t;
            t = MaskListener.getInstance();
            bob_.getScriptBroadcaster().addScriptCmdListener(t);
            t = MaskListener.getInstance();
            bob_.getEventBroadcaster().addEventCmdListener(t);
        }
        return started;
    }
}