   /*
    * @(#) ImageSentEvent.java 1.0 99/21/1 
    * Copyright (c) 1999 Lawrence Rodrigues
    */

   package org.eso.ohs.core.gui.widgets.imageviewer;
   import java.awt.image.BufferedImage;
import java.io.Serializable;

  /** An event-state class that sends an image.
    * This is an event-state class for the ImageSent event.
    * @version 1.0  21 Jan 1999
    * @author Lawrence Rodrigues
    **/
  public class ImageSentEvent  extends java.util.EventObject
         implements Serializable{
     protected BufferedImage bufimage;

      /**@param obj the source object.
       * @param img the buffered image. The data that is carried to the target.
       */
     public ImageSentEvent(Object obj, BufferedImage img){
        super(obj);
        bufimage = img;
     }

     /** @return the buffered image.
       */
     public BufferedImage getImage(){
        return bufimage;
     }
  }

